import React, { useState } from 'react';

export const MapItem = props => {
	const {
		title,
		path,
		fill,
		stroke,
		onClick
	} = props;
	const hasClickHandler = typeof onClick == 'function';
	const [ hovered, setHovered ] = useState(false);
	return (
		<path
			d={path}
			fill={fill}
			fillOpacity={hovered ? .7 : 1}
			stroke={stroke}
			strokeWidth={hovered ? 2 : 1}
			strokeLinejoin="round"
			cursor={hasClickHandler ? "pointer" : undefined }
			onClick={hasClickHandler ? onClick : undefined}
			onMouseEnter={() => setHovered(true)}
			onMouseLeave={() => setHovered(false)}
		>
			<title>{title}</title>
		</path>
	);
}