import React from 'react';
import { NavLink } from "react-router-dom";

export const Nav = () => {
	const pages = [
		{
			to: '/',
			text: 'Ключевые показатели'
		},
		{
			to: '/management',
			text: 'Мониторинг процессов'
		},
		{
			to: '/analytics',
			text: 'Аналитика'
		},
		{
			to: '/quality',
			text: 'Оценка качества',
			disabled: true
		},
		{
			to: '/export',
			text: 'Выгрузка',
			disabled: true
		}
	];
	return (
		<ul className="nav nav-pills">
			{pages.map(page => (
				<li className="nav-item" key={page.to}>
					{page.disabled !== true ? (
						<NavLink
							to={page.to}
							className={({ isActive }) => `nav-link${isActive ? ' active' : ''}`}
						>
							{page.text}
						</NavLink>
					) : (
						<a className="nav-link disabled">
							{page.text}🔒
						</a>
					)}
				</li>
			))}
		</ul>
	);
};