import React from "react";
import { Route, Navigate } from "react-router-dom";
import { Router } from '@/app/routes/Router';
import { Page1 } from '@/app/pages/Page1';
import { Page2 } from '@/app/pages/Page2';
import { Page3 } from '@/app/pages/Page3';

export const AppRouter = props => {
	const routes = [
		<Route key="page2" exact path="/management" element={<Page2 />} />,
		<Route key="page3" exact path="/analytics" element={<Page3 />} />,
		<Route key="page1" exact path="/" element={<Page1/>} />
	];
	return (
		<Router>
			{routes}
		</Router>
	);
}